首頁 > 未分類 > 安裝 BeautifulSoup4 後要再安裝 lxml 時發生問題

安裝 BeautifulSoup4 後要再安裝 lxml 時發生問題

2013年6月7日 發表評論 閱讀評論

安裝 BeautifulSoup4 時若需要解析 xml,需要再安裝套件

$ pip install lxml

若安裝中有錯誤,可能是少了系統套件:

$ sudo apt-get install libxml2-dev libxslt-dev

若 os 版本太舊或什麼的,libxslt 可能裝不上
要到底下連結抓 source 安裝

https://launchpad.net/ubuntu/+source/libxslt

https://launchpad.net/ubuntu/+source/libxslt/1.1.24-2ubuntu2

若還是有失敗
請直接昇級 os 一勞永逸。。。。

Categories: 未分類 Tags:
  1. 目前尚無任何的評論。